/*-----------------------------------------------------------------------------------

 	Custom JS for metabox display
 
-----------------------------------------------------------------------------------*/
 
jQuery(document).ready(function() {

	
/*----------------------------------------------------------------------------------*/
/*	Setup pages
/*----------------------------------------------------------------------------------*/

	var portfolio_page_meta = jQuery('#portfolio_page_meta');
	portfolio_page_meta.css('display', 'none');	

	var contact_page_meta = jQuery('#contact_page_meta');
	contact_page_meta.css('display', 'none');
	

/*----------------------------------------------------------------------------------*/
/*	OnChange conditions
/*----------------------------------------------------------------------------------*/

	var group = jQuery('#page_template');
	
	group.change( function() {
		
		if(jQuery(this).val() == 'default') {
			portfolio_page_meta.css('display', 'none');
			contact_page_meta.css('display', 'none');
			
		} else if(jQuery(this).val() == 'theme-templates/portfolio.php') {
			portfolio_page_meta.css('display', 'block');
			tzHideAll(portfolio_page_meta);
		
		} else if(jQuery(this).val() == 'theme-templates/contact.php') {
			contact_page_meta.css('display', 'block');
			tzHideAll(contact_page_meta);
			
		} else {
			portfolio_page_meta.css('display', 'none');
			contact_page_meta.css('display', 'none');

		}
		
	});
	
/*----------------------------------------------------------------------------------*/
/*	OnLoad conditions
/*----------------------------------------------------------------------------------*/	
	
	if (jQuery("#page_template option[value='default']").attr('selected')) 
		{ 
			portfolio_page_meta.css('display', 'none');
			contact_page_meta.css('display', 'none');
		}
		
	if (jQuery("#page_template option[value='theme-templates/portfolio.php']").attr('selected')) 
		{ 
			portfolio_page_meta.css('display', 'block');
		}

	if (jQuery("#page_template option[value='theme-templates/contact.php']").attr('selected')) 
		{ 
			contact_page_meta.css('display', 'block');
		}
	
		
	function tzHideAll(notThisOne) {
		portfolio_page_meta.css('display', 'none');
		contact_page_meta.css('display', 'none');
		notThisOne.css('display', 'block');
	}


	//Hide all children divs under the footer meta until checkbox is checked
	jQuery('#general_page_footer_meta .rwmb-meta-box > div').not('.rwmb-field.rwmb-checkbox-wrapper').hide();

	if(jQuery('#gg_page_footer_box').attr('checked')) {
	    jQuery('#general_page_footer_meta .rwmb-meta-box > div').not('.rwmb-field.rwmb-checkbox-wrapper').show();
	} else {
	    jQuery('#general_page_footer_meta .rwmb-meta-box > div').not('.rwmb-field.rwmb-checkbox-wrapper').hide();
	}
	
	jQuery('#gg_page_footer_box').click(function() {
	    jQuery('#general_page_footer_meta .rwmb-meta-box > div').not('.rwmb-field.rwmb-checkbox-wrapper').toggle(this.checked);
	});

	//Hide all children divs under the header meta until checkbox is checked
	jQuery('#general_page_header_meta .rwmb-meta-box > div').not('.rwmb-field.rwmb-checkbox-wrapper:first').hide();

	if(jQuery('#gg_page_header').attr('checked')) {
	    jQuery('#general_page_header_meta .rwmb-meta-box > div').not('.rwmb-field.rwmb-checkbox-wrapper:first').show();
	} else {
	    jQuery('#general_page_header_meta .rwmb-meta-box > div').not('.rwmb-field.rwmb-checkbox-wrapper:first').hide();
	}
	
	jQuery('#gg_page_header').click(function() {
	    jQuery('#general_page_header_meta .rwmb-meta-box > div').not('.rwmb-field.rwmb-checkbox-wrapper:first').toggle(this.checked);
	});

	//Hide all children divs under the slider meta until checkbox is checked
	jQuery('#general_page_header_slideshow_meta .rwmb-meta-box > div').not('.rwmb-field.rwmb-checkbox-wrapper').hide();

	if(jQuery('#gg_page_header_slider').attr('checked')) {
	    jQuery('#general_page_header_slideshow_meta .rwmb-meta-box > div').not('.rwmb-field.rwmb-checkbox-wrapper').show();
	} else {
	    jQuery('#general_page_header_slideshow_meta .rwmb-meta-box > div').not('.rwmb-field.rwmb-checkbox-wrapper').hide();
	}
	
	jQuery('#gg_page_header_slider').click(function() {
	    jQuery('#general_page_header_slideshow_meta .rwmb-meta-box > div').not('.rwmb-field.rwmb-checkbox-wrapper').toggle(this.checked);
	});

	
	//Hide portfolio category selector if filter is enabled
	jQuery('#portfolio_page_meta .rwmb-taxonomy-wrapper').show();

	if(jQuery('#gg_portfolio_cat_filter').is(':checked')) {
		jQuery('#portfolio_page_meta .rwmb-taxonomy-wrapper').hide();
	} else {
		jQuery('#portfolio_page_meta .rwmb-taxonomy-wrapper').show();
	}

	jQuery('#gg_portfolio_cat_filter').click(function() {
	    if( jQuery(this).is(':checked')) {
	        jQuery('#portfolio_page_meta .rwmb-taxonomy-wrapper').hide();
	    } else {
	        jQuery('#portfolio_page_meta .rwmb-taxonomy-wrapper').show();
	    }
	}); 
});