<?php
class WPBakeryShortCode_gg_single_icon extends WPBakeryShortCode {

   public function __construct() {  
         add_shortcode('single_icon', array($this, 'gg_single_icon'));  
   }


   public function gg_single_icon( $atts, $content = null ) { 

         $output = $icon_custom_size_html = $icon_color_css = $icon_custom_size = $featured_title = $image = $icon_box_css = $icon_box_back = $align_center = '';
         extract(shortcode_atts(array(
             'icon'                  => '',
             'link'                  => '',
             'align'                 => 'pull-left',
             'icon_box'              => '',
             'icon_color'            => '',
             'icon_box_color'        => '',
             'icon_size'             => 'normal',
             'el_class'              => '',
             'icon_custom_size'      => '',
             'css_animation'         => '',
         ), $atts));


         $css_class = $this->getCSSAnimation($css_animation);
         $el_class = $this->getExtraClass($el_class);

         if($icon_box == "use_icon_box"){
            $icon_box_css = 'icon-box';
            $icon_box_back = ' background-color: '.$icon_box_color.';';
         }

         if($icon_color != "") {
            $icon_color_css = 'color: '.$icon_color.';';
         }

         if($icon_custom_size != "") {
            $icon_custom_size_html = 'font-size: '.$icon_custom_size.'px;';
         }

         $style = 'style="'.$icon_box_back.$icon_color_css.$icon_custom_size_html.'"';

         $icon_html = '<i '.$style.' class="'.$align.' '.$el_class.' '.$icon.' '.$icon_box_css.' '.$icon_size.' "></i>';

         if($link != ""){
            $icon_html_construct = '<a href="'.$link.'">'.$icon_html.'</a>';
         } else {
            $icon_html_construct = $icon_html;
         }

         if ($align == 'pull-center') {
          $align_center = 'style="text-align:center"';
         }
         
         $output = "\n\t".'<div class="single-icon-box '.$css_class.'" '.$align_center.'>';
         $output .= "\n\t".$icon_html_construct;
         $output .= "\n\t".'</div> ';

         return $output;
         
   }
}

$WPBakeryShortCode_gg_single_icon = new WPBakeryShortCode_gg_single_icon();  

vc_map( array(
   "name" => __("Single icon","okthemes"),
   "description" => __('Display a single icon.', 'okthemes'),
   "base" => "single_icon",
   "class" => "clear_vc_style",
   "icon" => "icon-wpb-gg_vc_single_icon",
   'admin_enqueue_css' => array(get_template_directory_uri().'/lib/visualcomposer/styles.css'),
   'admin_enqueue_js' => array(get_template_directory_uri().'/lib/visualcomposer/custom-vc.js'),
   "category" => __('OKThemes','okthemes'),

   "params" => array(
      
      array(
         "type" => "dropdown",
         "heading" => __("Icon", "okthemes"),
         "param_name" => "icon",
         "value" => $gg_icons_array,
         "description" => __("Choose your icon.", "okthemes")
      ),
      array(
        "type" => "dropdown",
        "heading" => __("Icon size", "okthemes"),
        "param_name" => "icon_size",
        "value" => array(__("Normal", "okthemes") => "normal", __("Large", "okthemes") => "large", __("Extra large", "okthemes") => "extra_large", __("Small", "okthemes") => "small", __("Custom size", "okthemes") => "custom"),
        "description" => __("Select icon size", "okthemes")
      ),
      array(
         "type" => "textfield",
         "heading" => __("Icon custom size","okthemes"),
         "param_name" => "icon_custom_size",
         "description" => __("Insert custom size here, in px.","okthemes"),
         "dependency" => Array('element' => "icon_size", 'value' => array('custom'))
      ),
      array(
         "type" => "textfield",
         "heading" => __("Icon link","okthemes"),
         "param_name" => "link",
         "description" => __("Insert icon link here","okthemes")
      ),
      array(
         "type" => "colorpicker",
         "heading" => __('Icon color', 'okthemes'),
         "param_name" => "icon_color",
         "description" => __("Select the icon color", "okthemes")
      ),
      array(
         "type" => "checkbox",
         "heading" => __("Icon box","okthemes"),
         "value" => array(__("Wrap the icon in a box?","okthemes") => "use_icon_box" ),
         "param_name" => "icon_box"
      ),
      array(
         "type" => "colorpicker",
         "heading" => __('Icon box background color', 'okthemes'),
         "param_name" => "icon_box_color",
         "description" => __("Select the icon box background color", "okthemes"),
         "dependency" => Array('element' => "icon_box", 'value' => array('use_icon_box'))
      ),
      array(
         "type" => "dropdown",
         "heading" => __("Align the icon", "okthemes"),
         "param_name" => "align",
         "value" => array(__("Align left", "okthemes") => "pull-left", __("Align right", "okthemes") => "pull-right", __("Align center", "okthemes") => "pull-center"),
         "description" => __("Set the alignment of the icon.", "okthemes")
     ),
      array(
      "type" => "textfield",
      "heading" => __("Extra class name", "okthemes"),
      "param_name" => "el_class",
      "description" => __("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", "okthemes")
    ),

      $add_css_animation

   ),
  'js_view'  => 'SmartyVcSingleIconView',
) );

?>