<?php
/**
 * The template for displaying posts in the Status post format
 *
 * @package WordPress
 * @subpackage Smarty
 */
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<header class="entry-header">

		<span class="post-format status pull-left img-rounded">
			<?php echo get_avatar( get_the_author_meta( 'ID' ), apply_filters( 'smarty_status_avatar', '60' ) ); ?>
		</span>
		<?php 
			//Show love it button
			if( function_exists('gg_love_this') ) gg_love_this("pull-right");
		?>
		<div class="article-header-body">
			<h2 class="entry-title">
				<?php the_author(); ?>
			</h2>
			
			<p class="meta"><?php echo get_the_date(); ?></p>
		</div>
	</header><!-- .entry-header -->

	<?php if ( is_search() ) : // Only display Excerpts for Search ?>
	<div class="entry-summary">
		<?php the_excerpt(); ?>
	</div><!-- .entry-summary -->

	<?php else : ?>
	<div class="entry-content">
		<?php the_content( __( 'Continue reading', 'okthemes' ) ); ?>
	</div><!-- .entry-content -->
	<?php endif; ?>

	<footer class="entry-meta">
		<?php edit_post_link( __( 'Edit', 'okthemes' ), '<span class="edit-link">', '</span>' ); ?>
	</footer><!-- .entry-meta -->
</article><!-- #post -->	
