<?php
/**
 * Default Post Template
 * Description: Post template with a content container and right sidebar.
 *
 * @package WordPress
 * @subpackage Smarty
 */
get_header(); ?>

<?php
$blog_inner_layout = get_theme_mod('blog_inner_page_style', 'right');
$blog_share_box = get_theme_mod('blog_share_box', 1);
switch ($blog_inner_layout) {
    case "left":
        $blog_content_class = 'col-xs-12 col-md-9 pull-right';
        $blog_sidebar_class = 'col-xs-12 col-md-3 pull-left';
        break;
    case "right":
        $blog_content_class = 'col-xs-12 col-md-9 pull-left';
        $blog_sidebar_class = 'col-xs-12 col-md-3 pull-right';
        break;
    case "fullwidth":
        $blog_content_class = 'col-xs-12 col-md-12';
        $blog_sidebar_class = 'col-xs-12 col-md-12';
        break;        
}

?>

<?php while (have_posts()) : the_post(); ?>

<?php setPostViews(get_the_ID()); ?>

<section id="subheader">
    <div class="container">
        <div class="row">
            <div class="col-12 col-sm-12 col-lg-12">
                <?php if (function_exists('smarty_breadcrumbs')) {
                    smarty_breadcrumbs();
                } ?>
            </div><!--/.col-12 col-sm-12 col-lg-12 -->
        </div><!--/.row -->
    </div>
</section>

<section id="single-header">
    <div class="container">
            <div class="article-header-body">
                <h2 class="entry-title"><?php the_title(); ?></h2>
                <?php smarty_post_nav(); ?>
                <p class="meta"><?php echo smarty_posted_on();?></p>
            </div>
            
            <hr/>
    </div><!--/.container -->
</section>

<section id="content">
    <div class="container">
        <div class="row">
            <div class="<?php echo $blog_content_class; ?>">

                <?php get_template_part( 'parts/part', get_post_format() ); ?>
                
                <?php endwhile; // end of the loop. ?>
                
                <?php if ($blog_share_box == 1) { 
                    get_template_part( 'parts/part', 'socialshare' );
                } ?>

                <?php comments_template( '', true ); ?>

            </div><!-- /.col-8 col-sm-8 col-lg-8 -->

            <?php if ($blog_inner_layout !='fullwidth') { ?>
            <div class="<?php echo $blog_sidebar_class; ?>">
                <aside class="sidebar-nav">
                    <?php get_sidebar(); ?>
                </aside>
                <!--/aside .sidebar-nav -->
            </div><!-- /.col-4 col-sm-4 col-lg-4 -->
            <?php } ?>

        </div><!-- /.row -->

    </div><!--/.container -->    
</section>

<?php smarty_page_footer_message_box(); ?>

<?php get_footer(); ?>